Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Nested Classes | Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# MaskedWalletRequest

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.wallet.MaskedWalletRequest

## Class Overview

Parcelable representing a masked wallet request.

## Summary

Nested Classes
class | MaskedWalletRequest.Builder | Builder to create a `MaskedWalletRequest`.

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final Creator<MaskedWalletRequest> | CREATOR |

Public Methods
boolean | allowDebitCard()
boolean | allowPrepaidCard()
int | describeContents()
CountrySpecification[] | getAllowedShippingCountrySpecifications()
Cart | getCart()
String | getCurrencyCode()
String | getEstimatedTotalPrice()
String | getMerchantName()
String | getMerchantTransactionId()
int | getVersionCode()
boolean | isBillingAgreement()
boolean | isPhoneNumberRequired()
boolean | isShippingAddressRequired()
static MaskedWalletRequest.Builder | newBuilder()
boolean | shouldRetrieveWalletObjects()
boolean | useMinimalBillingAddress()
void | writeToParcel(Parcel dest, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final Creator<MaskedWalletRequest> CREATOR

## Public Methods

#### public boolean allowDebitCard ()

##### Returns

- whether a debit card may be used as the backing card for this transaction

#### public boolean allowPrepaidCard ()

##### Returns

- whether a prepaid card may be used as the backing card for this transaction

#### public int describeContents ()

#### public CountrySpecification[] getAllowedShippingCountrySpecifications ()

##### Returns

- the allowed set of shipping country specifications

#### public Cart getCart ()

##### Returns

- the shopping cart

#### public String getCurrencyCode ()

##### Returns

- the ISO 4217 currency code of the transaction

#### public String getEstimatedTotalPrice ()

##### Returns

- the estimated total price of the shopping cart

#### public String getMerchantName ()

##### Returns

- the merchant name that overrides the default display name in the merchant's account settings

#### public String getMerchantTransactionId ()

##### Returns

- your own unique identifier for the transaction

#### public int getVersionCode ()

#### public boolean isBillingAgreement ()

##### Returns

- whether this request is for a billing agreement rather than for a one time purchase

#### public boolean isPhoneNumberRequired ()

##### Returns

- whether a user phone number is required

#### public boolean isShippingAddressRequired ()

##### Returns

- whether a user shipping address is required

#### public static MaskedWalletRequest.Builder newBuilder ()

#### public boolean shouldRetrieveWalletObjects ()

##### Returns

- indicates that any relevant Wallet Objects should be returned.

#### public boolean useMinimalBillingAddress ()

##### Returns

- indicates that only a minimal billing address associated with user's payment instrument is desired.

#### public void writeToParcel (Parcel dest, int flags)